> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/5.-push-notifications/configure-push-provider.md).

# Configurar proveedor de push

## Configurar FCM

Sigue la guía de Google: [Configurar una aplicación cliente FCM en Android](https://firebase.google.com/docs/cloud-messaging/android/client).

A grandes rasgos:

1. Crea un proyecto de Firebase y registra tu aplicación Android.
2. Añade Firebase a tu proyecto Android.
3. Implementa un servicio que extienda `FirebaseMessagingService`:
   1. Sobrescribe `onNewToken` para soportar la actualización del token push
   2. Sobrescribe `onMessageReceived` para gestionar la notificación push desde el backend de NFC Wallet.
4. Declara el servicio en el manifiesto de tu aplicación.

{% code title="FcmService.java" expandable="true" %}

```java
public class FcmService extends FirebaseMessagingService {

    @Override
    public void onNewToken(@NonNull final String token) {
        super.onNewToken(token);

        // Notifica al SDK de NFC Wallet sobre el nuevo token.
        updateToken(this, token);
    }

    @Override
    public void onMessageReceived(@NonNull final RemoteMessage remoteMessage) {
        super.onMessageReceived(remoteMessage);

        // Envía la carga útil del push a tu manejador común.
        processIncomingMessage(this, remoteMessage.getData());
    }
}
```

{% endcode %}

## Configurar HMS Push Kit

Para dispositivos Huawei sin los servicios de Google Play, configura HMS Push Kit.

Sigue la guía de Huawei: [HMS Push Kit (Android) Codelabs](https://developer.huawei.com/consumer/en/codelab/HMSPushKit).

{% hint style="warning" %}
Para enrutar los mensajes correctamente, antepone a los tokens HMS `HMS:`.
{% endhint %}

A grandes rasgos:

1. Habilita Push Kit para tu aplicación en [AppGallery Connect](https://developer.huawei.com/consumer/en/service/josp/agc/index.html).
2. Integra el SDK de HMS Core en tu **aplicación de billetera digital**.
3. Implementa un servicio que extienda `HmsMessageService`:
   1. Sobrescribe `onNewToken` para soportar la actualización del token push
   2. Sobrescribe `onMessageReceived` para gestionar la notificación push desde el backend de NFC Wallet..
4. Declara el servicio en el manifiesto de tu aplicación.

{% code title="HmsService.java" expandable="true" %}

```java
public class HmsService extends HmsMessageService {

    // Usa el prefijo "HMS:" para el token de HMS Push Kit
    private static final String HMS_TOKEN_PREFIX = "HMS:";

    @Override
    public void onNewToken(final @NonNull String token) {
        super.onNewToken(token);

        // Notifica al SDK de NFC Wallet sobre el nuevo token.
        updateToken(this, HMS_TOKEN_PREFIX + token);
    }

    @Override
    public void onMessageReceived(@NonNull final RemoteMessage remoteMessage) {
        super.onMessageReceived(remoteMessage);

        // Envía la carga útil del push a tu manejador común.
        processIncomingMessage(this, remoteMessage.getDataOfMap());
    }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/5.-push-notifications/configure-push-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
